#
# spec file for package python-lazr.uri
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-lazr.uri
Version:        1.0.3
Release:        9.1
Summary:        Code for parsing and dealing with URI
License:        LGPL-3.0+
Group:          Development/Languages/Python
Url:            https://launchpad.net/lazr.uri
Source:         http://pypi.python.org/packages/source/l/lazr.uri/lazr.uri-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The lazr.uri package includes code for parsing and dealing with URIs.

%prep
%setup -q -n lazr.uri-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc COPYING.txt README.txt
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Mar 25 2013 speilicke@suse.com
- Fix summary
* Wed Mar 20 2013 speilicke@suse.com
- Add COPYING.txt
* Fri Mar 15 2013 speilicke@suse.com
- Initial version
